Get list of uploads
GET
/upload/filesGet list of files uploaded for a company
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, UploadsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new UploadsApi(config);
const result = await api.getUploads({ "company": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/upload/files?token=$TESTCOLLAB_TOKEN&company=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
company |
query | integer | Yes | Company ID |
_limit |
query | integer | No | Maximum number of records |
_sort |
query | string | No | Sort according to a specific field. |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — List of uploads
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].name |
string | Yes | — |
[].hash |
string | Yes | — |
[].ext |
string | Yes | — |
[].mime |
string | Yes | — |
[].size |
string | Yes | — |
[].url |
string | Yes | — |
[].created_by |
number | No | — |
[].created_at |
string | Yes | — |
[].updated_at |
string | Yes | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |